
%define plugin	femon
%define name	vdr-plugin-%plugin
%define version	1.7.13
%define rel	4

Summary:	VDR plugin: DVB Signal Information Monitor (OSD)
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://www.saunalahti.fi/~rahrenbe/vdr/femon/
Source:		http://www.saunalahti.fi/~rahrenbe/vdr/femon/files/vdr-%plugin-%version.tgz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
DVB Frontend Status Monitor is a plugin that displays some signal information
parameters of the current tuned channel on OSD. You can zap through all your
channels and the plugin should be monitoring always the right frontend. The
transponder and stream information are also available in advanced display
modes.

The plugin is based on a neat console frontend status monitor application
called 'femon' by Johannes Stezenbach (see DVB-apps/szap/femon.c for further
information). The bitrate calculation trick originates from the 'dvbstream'
application by Dave Chapman and the stream information routines are taken from
the 'libdvb' library by Metzler Brothers.

%package -n vdr-%plugin-devel
Summary:	Development headers of femon VDR plugin
Group:		Development/C++
Requires:	vdr-devel

%description -n vdr-%plugin-devel
Headers for developing VDR plugins that use services provided by femon.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep

%build
%vdr_plugin_build STRIP=/bin/true

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_includedir}/vdr/%{plugin}
install -m644 femonservice.h %{buildroot}%{_includedir}/vdr/%{plugin}

%files -f %plugin.vdr
%doc README HISTORY

%files -n vdr-%plugin-devel
%dir %{_includedir}/vdr/%{plugin}
%{_includedir}/vdr/%{plugin}/femonservice.h


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7.13-4.mga3
+ Revision: 385263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 1.7.13-3.mga3
+ Revision: 325489
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1.7.13-2.mga2
+ Revision: 221042
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 1.7.13-1.mga2
+ Revision: 214809
- new development version 1.7.13 (VDR 1.7.23 support)
- rebuild for VDR 1.7.23

* Sat May 14 2011 anssi <anssi> 1.6.7-5.mga1
+ Revision: 98374
- remove unneeded scriptlets
- imported package vdr-plugin-femon

